Add Order
Service-level call to insert an order into the matching engine.
Endpoint
Section titled “Endpoint”POST
/orderbook/v1/addorderRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/orderbook/v1/addorder \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"user_id": "user-uuid","event_id": "event-uuid","order_id": "order-uuid","predicted_outcome": "Team A","investment_amount": "50.00","order_type": "NEW_PREDICTION"}'{"user_id": "user-uuid","event_id": "event-uuid","order_id": "order-uuid","predicted_outcome": "Team A","investment_amount": "50.00","order_type": "NEW_PREDICTION"}Response Body
Section titled “Response Body”{"status": { "type": "SUCCESS" },"name": "Order Book Match ID"}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |